
-- DDL Event Example
-- A trigger that prevents DBSEC from altering any of its table
-- create a trigger that fires before on ALTER statement

CREATE  OR REPLACE TRIGGER TRG_BEFORE_ALTER
	BEFORE ALTER ON DATABASE
BEGIN

	IF USER = 'DBSEC' THEN
	RAISE_APPLICATION_ERROR(-20000, 'YOU MAY NOT MODIFY
		STRUCTURE OF ANY TABLE');
	END IF;
END;
/

-- Alter the CUSTOMERS table. If the table does not exist, create one.
ALTER TABLE CUSTOMERS
MODITY NAME VARCHAR2(60)
/

	
